%bcond_without tests
%bcond_with sphinx_docs
 
%global srcname amqp
 
Summary:        Low-level AMQP client for Python (fork of amqplib)
Name:           python-%{srcname}
Version:        5.1.1
Release:        4%{?dist}
License:        BSD
URL:            http://pypi.python.org/pypi/amqp
Source0:        https://files.pythonhosted.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz
 
%if %{with sphinx_docs}
BuildRequires:  python3-sphinx
%endif

BuildArch:      noarch
 
%description
This package provides a low-level AMQP client for Python. Its library should be API compatible 
with librabbitmq.
 
 
%package -n python3-%{srcname}
Summary:        Client library for AMQP
BuildRequires:  python3-devel python3-setuptools
%if %{with tests}
BuildRequires:  python3-pytest python3-vine >= 5.0.0
%endif
%if %{with sphinx_docs}
BuildRequires:  python3-sphinx >= 0.8
%endif
Provides:       python3-%{srcname} = %{version}-%{release}
Requires:       python3-vine >= 5.0.0
 
%description -n python3-%{srcname}
This package provides a low-level AMQP client for Python3. Its library should be API compatible 
with librabbitmq.
 
 
%package doc
Summary:        Documentation for python-amqp
Requires:       %{name} = %{version}-%{release}
 
%description doc
This package provides the documentation for python-amqp.
 
 
%prep
%autosetup -n %{srcname}-%{version}
 
%build
%py3_build

%install
%py3_install
%if %{with sphinx_docs}
export PYTHONPATH="$( pwd ):$PYTHONPATH"

pushd docs
# prevent intersphinx from accessing the network during build, disable extensions
sed -i s/^extensions/disable_extensions/ conf.py
 
SPHINX_DEBUG=1 sphinx-build -b html . build/html
rm -rf build/html/.doctrees build/html/.buildinfo

popd
%endif
 
%check
%if %{with tests}
py.test-3 t/unit
%endif
 
%files -n python3-%{srcname}
%license LICENSE
%doc Changelog README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info
 
%files doc
%license LICENSE
%if %{with sphinx_docs}
%doc docs/build/html docs/reference
%endif
 
 
%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Wang Guodong <gordonwwang@tencent.com> - 5.1.1-1
- initial build
